org.jgroups

## Class ChannelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.ChannelException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ChannelClosedException, ChannelNotConnectedException, StateTransferException, VoteException

      public class ChannelException
      extends java.lang.Exception

  This class represents the super class for all exception types thrown by JGroups.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelException()`
    `ChannelException(java.lang.String reason)`
    `ChannelException(java.lang.String reason, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelException

          public ChannelException()

    - #### ChannelException

          public ChannelException(java.lang.String reason)

    - #### ChannelException

          public ChannelException(java.lang.String reason,
                          java.lang.Throwable cause)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.